Export a contact's profile as XLSX by contact key
GET
/api/v3/contacts/keyed/{contactKey}/export
const url = 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/export?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/export?api=true' \ --header 'Authorization: Bearer <token>'Same as Export a contactβs profile as XLSX (GET /api/v3/contacts/{email}/export), with the contact addressed by its contactKey instead of its email address.
This is a company-level (v3) read. Authenticate with a company API key as a Bearer token.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β contactKey
required
string
The contactβs opaque 64-character hex key.
Query Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true.
Responses
Section titled β Responses βThe XLSX file, returned as the response body with a Content-Disposition: attachment header.
Media type application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
string format: binary
Still can’t find what you need? Contact support.